From 438c834d7a4941acdbb6fbd835706cb2c3b310cf Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sun, 22 Apr 2012 22:46:03 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog                                   |   11 ++++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 ++--
 debian/copyright                                   |    9 +++++---
 .../{001_emptyfile.dpatch => 001-emptyfile.patch}  |    9 +++-----
 .../{002_gcc43fix.dpatch => 002-gcc43fix.patch}    |    9 +++-----
 debian/patches/00list                              |    2 --
 debian/patches/series                              |    2 ++
 debian/rules                                       |   22 +++++++-------------
 debian/source/format                               |    1 +
 10 files changed, 36 insertions(+), 35 deletions(-)
 rename debian/patches/{001_emptyfile.dpatch => 001-emptyfile.patch} (68%)
 rename debian/patches/{002_gcc43fix.dpatch => 002-gcc43fix.patch} (67%)
 delete mode 100644 debian/patches/00list
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index f5bea54..2b6e9f9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+csstidy (1.4-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Fix copyright-refers-to-symlink-license (Lintian).
+  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 22 Apr 2012 22:45:13 +0300
+
 csstidy (1.4-3) unstable; urgency=low
 
   * Add patch gcc43fix which contains an uncaught missing include in
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index b3db405..d05aec1 100644
--- a/debian/control
+++ b/debian/control
@@ -3,8 +3,8 @@ Section: utils
 Priority: extra
 Maintainer: Kevin Coyner <kcoyner@debian.org>
 Homepage: http://csstidy.sourceforge.net/
-Build-Depends: debhelper (>= 5), scons, dpatch
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 9), scons
+Standards-Version: 3.9.3
 
 Package: csstidy
 Architecture: any
diff --git a/debian/copyright b/debian/copyright
index 575fcdc..071f756 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -7,7 +7,9 @@ Upstream Authors: Florian Schmitz <floele@gmail.com>
                   Will Mitchell  <aethon@gmail.com>
                   Thierry Charbonnel
 
-Copyright: (c) 2005, 2006 Florian Schmitz
+Copyright:
+
+   Copyright (C) 2005, 2006 Florian Schmitz <floele@gmail.com>
 
 License:
 
@@ -25,5 +27,6 @@ License:
    along with this package; if not, write to the Free Software
    Foundation, 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
-The Debian packaging is (C) 2007, Kevin Coyner <kevin@rustybear.com> and
-is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
+The Debian packaging is Copyright (C) 2007, Kevin Coyner
+<kevin@rustybear.com> and is licensed under the GPL, see
+`/usr/share/common-licenses/GPL-2'.
diff --git a/debian/patches/001_emptyfile.dpatch b/debian/patches/001-emptyfile.patch
similarity index 68%
rename from debian/patches/001_emptyfile.dpatch
rename to debian/patches/001-emptyfile.patch
index 6a18473..2a670ab 100644
--- a/debian/patches/001_emptyfile.dpatch
+++ b/debian/patches/001-emptyfile.patch
@@ -1,10 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 001_emptyfile.dpatch by Kevin Coyner <kcoyner@debian.org>
-##
-## DP: allows empty css files to be generated, which are actually valid.
-## DP: thanks to Bastian Kleineidam <calvin@debian.org>
+From: Kevin Coyner <kcoyner@debian.org>
+Subject: allows empty css files to be generated, which are actually valid.
+ thanks to Bastian Kleineidam <calvin@debian.org>
 
-@DPATCH@
 diff -urNad csstidy-1.4~/csstidy/print_css.cpp csstidy-1.4/csstidy/print_css.cpp
 --- csstidy-1.4~/csstidy/print_css.cpp	2007-07-10 10:20:52.000000000 -0400
 +++ csstidy-1.4/csstidy/print_css.cpp	2007-09-21 22:13:06.000000000 -0400
diff --git a/debian/patches/002_gcc43fix.dpatch b/debian/patches/002-gcc43fix.patch
similarity index 67%
rename from debian/patches/002_gcc43fix.dpatch
rename to debian/patches/002-gcc43fix.patch
index cd7527a..e63a6cb 100644
--- a/debian/patches/002_gcc43fix.dpatch
+++ b/debian/patches/002-gcc43fix.patch
@@ -1,10 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 00_gcc43fix.dpatch by Kevin Coyner <kcoyner@debian.org>
-##
-## DP: in csstidy/misc.cpp, add uncaught missing #include
-## DP: closes bug #455123
+From: Kevin Coyner <kcoyner@debian.org>
+Subject: in csstidy/misc.cpp, add uncaught missing #include
+ closes bug #455123
 
-@DPATCH@
 diff -urNad csstidy-1.4~/csstidy/misc.cpp csstidy-1.4/csstidy/misc.cpp
 --- csstidy-1.4~/csstidy/misc.cpp	2007-07-10 10:20:54.000000000 -0400
 +++ csstidy-1.4/csstidy/misc.cpp	2008-02-24 20:49:26.000000000 -0500
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 650e3bf..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,2 +0,0 @@
-001_emptyfile
-002_gcc43fix
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..cdd0605
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,2 @@
+001-emptyfile.patch
+002-gcc43fix.patch
diff --git a/debian/rules b/debian/rules
index 3c5e4f7..4849750 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,14 +3,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: patch build-stamp
+build-arch: build
+build-indep: build
+
+build: build-stamp
 build-stamp:
 	dh_testdir
 	touch $@
 
-clean: clean-patched unpatch
-
-clean-patched:
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
@@ -18,19 +19,10 @@ clean-patched:
 	-rm -f .sconsign.dblite
 	dh_clean
 
-patch: patch-stamp
-patch-stamp:
-	dpatch apply-all
-	dpatch cat-all >patch-stamp
-
-unpatch:
-	dpatch deapply-all
-	rm -rf patch-stamp debian/patched
-
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	scons
 	install -D release/csstidy/csstidy debian/csstidy/usr/bin/csstidy
 	touch install-stamp
@@ -57,4 +49,4 @@ binary-arch: build install
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build build-stamp clean binary-indep binary-arch binary install patch unpatch clean-patched
+.PHONY: build build-stamp clean binary-indep binary-arch binary install clean-patched
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

